package com.ruoyi.business.service.impl;

import java.util.List;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.SCompanyMemberMapper;
import com.ruoyi.business.domain.SCompanyMember;
import com.ruoyi.business.service.ISCompanyMemberService;
import com.ruoyi.common.core.text.Convert;

/**
 * 公司成员，负责招标项目的联系人Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class SCompanyMemberServiceImpl implements ISCompanyMemberService 
{
    @Autowired
    private SCompanyMemberMapper sCompanyMemberMapper;

    /**
     * 查询公司成员，负责招标项目的联系人
     * 
     * @param id 公司成员，负责招标项目的联系人主键
     * @return 公司成员，负责招标项目的联系人
     */
    @Override
    public SCompanyMember selectSCompanyMemberById(Long id)
    {
        return sCompanyMemberMapper.selectSCompanyMemberById(id);
    }

    /**
     * 查询公司成员，负责招标项目的联系人列表
     * 
     * @param sCompanyMember 公司成员，负责招标项目的联系人
     * @return 公司成员，负责招标项目的联系人
     */
    @Override
    public List<SCompanyMember> selectSCompanyMemberList(SCompanyMember sCompanyMember)
    {
        return sCompanyMemberMapper.selectSCompanyMemberList(sCompanyMember);
    }

    /**
     * 新增公司成员，负责招标项目的联系人
     * 
     * @param sCompanyMember 公司成员，负责招标项目的联系人
     * @return 结果
     */
    @Override
    public int insertSCompanyMember(SCompanyMember sCompanyMember)
    {
        sCompanyMember.setCreateTime(DateUtil.currentSeconds());
        return sCompanyMemberMapper.insertSCompanyMember(sCompanyMember);
    }

    /**
     * 修改公司成员，负责招标项目的联系人
     * 
     * @param sCompanyMember 公司成员，负责招标项目的联系人
     * @return 结果
     */
    @Override
    public int updateSCompanyMember(SCompanyMember sCompanyMember)
    {
        sCompanyMember.setUpdateTime(DateUtil.currentSeconds());
        return sCompanyMemberMapper.updateSCompanyMember(sCompanyMember);
    }

    /**
     * 批量删除公司成员，负责招标项目的联系人
     * 
     * @param ids 需要删除的公司成员，负责招标项目的联系人主键
     * @return 结果
     */
    @Override
    public int deleteSCompanyMemberByIds(String ids)
    {
        return sCompanyMemberMapper.deleteSCompanyMemberByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除公司成员，负责招标项目的联系人信息
     * 
     * @param id 公司成员，负责招标项目的联系人主键
     * @return 结果
     */
    @Override
    public int deleteSCompanyMemberById(Long id)
    {
        return sCompanyMemberMapper.deleteSCompanyMemberById(id);
    }
}
